//Viene creato un array di lunghezza random che viene riempito con
//stringhe generate random lunghe al piu' 10 caratteri


#include<stdio.h>
#include<stdlib.h>
#include<time.h>

#define MAXLINE 10 //Massima lunghezza per ogni stringa

void RiempiArray(char **,int);
void GeneraStringhe(char *,int);

main(){
	int c;
	int i,j;
	char **a;
	
	//Inizializzo il seme per il generatore casuale
	//Il seme viene generato in base all'ora di sistema
	srand(time(NULL));
	
	int x = rand()%100;
	printf("L'array contiene %d elementi\n", x);	
	
	//Alloco memoria per x stringhe
	a=malloc(x*sizeof(char*));
	
	//Alloco memoria per x stringhe lunghe al piu' 10 caratteri
	for (i=0;i<x;i++) *(a+i)=malloc(MAXLINE*sizeof(char));
	
	RiempiArray(a,x);
	
	//Stampo le stringhe generate
	printf("\nContenuto Array:\n");
	for (j=0;j<x;j++) printf("%s\n",a[j]);
	//srand(5);
}

void RiempiArray(char **a,int size){
	int i;
	for (i=0;i<size;i++) {
		GeneraStringhe(*(a+i),MAXLINE);
	}
}

void GeneraStringhe(char *a, int size){
	int i=0;
	char carattere;
	while (i<size) {
		//Genera un char casuale
		carattere=rand()%26+'a';
		
		//Se il carattere generato e' stampabile, lo metto in a
		if (isprint(carattere)){
			*(a+i)=carattere;
			i++;
		}
	}
}
