//Legge stringhe da tastiera separate da \n
//Inserisce ogni stringa (che equivale a una riga) in una posizione di un array
//Termina quando si inserisce la stringa "0"


#include<stdio.h>
#include<string.h>
#include<stdlib.h>

#define MAXPAROLE 100 //Massimo numero di stringhe che possono essere inserite
#define MAXLINE 100 //Massima lunghezza per ogni stringa


main(){
	int c;
	int i,j;
	char *a[MAXPAROLE];
	
	//Alloco la memoria per le stringhe
	for (i=0;i<MAXPAROLE;i++) a[i]=malloc(MAXLINE*sizeof(char));
	
	int fine=0;
	i=0;
	j=0;
	c=getchar();
	while(!fine){
		while(c!='\n' && c!='0'){
			*(a[i]+j)=c;
			j++;
			c=getchar();
		}
		*(a[i]+j)='\0';
		if(c=='0'){
			fine=1;
		}else{
			j=0;
			i++;
			c=getchar();
		}
	}
	
	
	//Stampo le stringhe inserite
	printf("\nContenuto Array:\n");
	for (j=0;j<=i;j++) printf("%s\n",a[j]);

}
